curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/season_sets \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/season_sets"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/season_sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/season_sets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/season_sets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/season_sets")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/season_sets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"SeasonSet\", \"id\": \"seasonset_1\", \"vid\": \"416cb3f838cb43cc27dc7cfad8d0970ac6fba6e2\", \"created\": \"2022-09-01T09:04:41+00:00\", \"seasons\": { \"object\": \"List\", \"data\": [ { \"object\": \"Season\", \"description\": \"Yearly season subscription\", \"starts\": \"2022-12-31T00:00:00+00:00\", \"ends\": \"2023-01-06T00:00:00+00:00\" }, { \"object\": \"Season\", \"description\": \"Yearly season subscription\", \"starts\": \"2023-12-31T00:00:00+00:00\", \"ends\": \"2024-01-06T00:00:00+00:00\" } ], \"total_count\": 2 }, \"metadata\": { \"Season Program\": \"End of the Year Program\" } } ], \"total_count\": 2, \"url\": \"/season_sets?limit=1\", \"next\": \"/season_sets?limit=1&starting_after=seasonset_1\", \"previous\": \"/season_sets?limit=1&ending_before=seasonset_1\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"List All Season Sets
Retrieves all Season Sets.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/season_sets \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/season_sets"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/season_sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/season_sets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/season_sets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/season_sets")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/season_sets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"SeasonSet\", \"id\": \"seasonset_1\", \"vid\": \"416cb3f838cb43cc27dc7cfad8d0970ac6fba6e2\", \"created\": \"2022-09-01T09:04:41+00:00\", \"seasons\": { \"object\": \"List\", \"data\": [ { \"object\": \"Season\", \"description\": \"Yearly season subscription\", \"starts\": \"2022-12-31T00:00:00+00:00\", \"ends\": \"2023-01-06T00:00:00+00:00\" }, { \"object\": \"Season\", \"description\": \"Yearly season subscription\", \"starts\": \"2023-12-31T00:00:00+00:00\", \"ends\": \"2024-01-06T00:00:00+00:00\" } ], \"total_count\": 2 }, \"metadata\": { \"Season Program\": \"End of the Year Program\" } } ], \"total_count\": 2, \"url\": \"/season_sets?limit=1\", \"next\": \"/season_sets?limit=1&starting_after=seasonset_1\", \"previous\": \"/season_sets?limit=1&ending_before=seasonset_1\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
A limit on the number of objects to be returned, between 1 and 100.
1 <= x <= 100A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.
A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.
Response
JSON A list array with a data property that contains an array of up to limit SeasonSet, starting after the specified starting_after SeasonSet (or ending before the specified ending_before SeasonSet). Each entry in the array is a full SeasonSet object. If no more SeasonSets are available, the resulting array will be empty. This request should never throw an error.\n A list of Accountt objects matching the query. Also:\n
- "total_count": Integer count of the number of SeasonSets in the returned list.\n
- "url": The query string provided in the request\n
- "next": The route (partial URL) to the next SeasonSet object (string to select the "next"); included id should match that of the last object returned here\n
- "previous": The route (partial URL) to the previous SeasonSet object \ (string to select the "previous"); included id should match that of the first object returned here
The SeasonSet object defines an array of seasons, with an identifier.
Show child attributes
Show child attributes
Integer count of the number of SeasonSet objects in the returned list.
The query string provided in the request
The route (partial URL) to the next SeasonSet object (string to select the “next”); included id should match that of the last object returned here
The route (partial URL) to the previous SeasonSet object (string to select the “previous”); included id should match that of the first object returned here
"{ \"object\": \"List\", \"data\": [ { \"object\": \"SeasonSet\", \"id\": \"seasonset_1\", \"vid\": \"416cb3f838cb43cc27dc7cfad8d0970ac6fba6e2\", \"created\": \"2022-09-01T09:04:41+00:00\", \"seasons\": { \"object\": \"List\", \"data\": [ { \"object\": \"Season\", \"description\": \"Yearly season subscription\", \"starts\": \"2022-12-31T00:00:00+00:00\", \"ends\": \"2023-01-06T00:00:00+00:00\" }, { \"object\": \"Season\", \"description\": \"Yearly season subscription\", \"starts\": \"2023-12-31T00:00:00+00:00\", \"ends\": \"2024-01-06T00:00:00+00:00\" } ], \"total_count\": 2 }, \"metadata\": { \"Season Program\": \"End of the Year Program\" } } ], \"total_count\": 2, \"url\": \"/season_sets?limit=1\", \"next\": \"/season_sets?limit=1&starting_after=seasonset_1\", \"previous\": \"/season_sets?limit=1&ending_before=seasonset_1\" }"

